<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Scripts/4_world/dayzexpansion/classes/systems/mapping/expansioninteriorbuildingmodule.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d11/a02384_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansioninteriorbuildingmodule.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/d11/a02384.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d2/d11/a02384.html#a96a6ecae2257bfa92d5d3aa2a94753ef">    1</a></span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionInteriorBuildingModule.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../da/d97/a06681.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/d97/a06681.html">IviesPosition</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../da/d97/a06681.html#a5305d47dc7ad6e36d9d19dd4bfe35983">   15</a></span>    vector      <a class="code hl_variable" href="../../da/d97/a06681.html#a5305d47dc7ad6e36d9d19dd4bfe35983">position</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../da/d97/a06681.html#a81018a0586f9c5073061c1104a47a179">   16</a></span>    <span class="keywordtype">float</span>       <a class="code hl_variable" href="../../da/d97/a06681.html#a81018a0586f9c5073061c1104a47a179">radius</a>; </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>}</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>[<a class="code hl_function" href="../../d2/d11/a02384.html#a96a6ecae2257bfa92d5d3aa2a94753ef">CF_RegisterModule</a>(ExpansionInteriorBuildingModule)]</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">   20</a></span><span class="keyword">class </span>ExpansionInteriorBuildingModule: CF_ModuleWorld</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d2/d11/a02384.html#a5050a760c11da521cd4aee6336f6529f">   21</a></span>{</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    autoptr array&lt; ref IviesPosition &gt; m_WhereIviesObjectsSpawn;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="comment">//string is classname of the object, and bool, to know if it has collision or not</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    autoptr map&lt;string, bool&gt; m_CachedCollision;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> m_LastSavedCount;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <span class="comment">// ExpansionInteriorBuildingModule Constructor</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <span class="keywordtype">void</span> ExpansionInteriorBuildingModule()</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../da/deb/a04249.html">EXTrace</a>.<a class="code hl_function" href="../../da/deb/a04249.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(ExpansionTracing.MAPPING, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        m_CachedCollision = <span class="keyword">new</span> map&lt;string, bool&gt;;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_class" href="../../dd/d8e/a03377.html">ExpansionSettings</a>.<a class="code hl_variable" href="../../dd/d8e/a03377.html#ad3ba495be8256aa690e0d611129c8889">SI_General</a>.Insert( OnSettingsUpdated );</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <span class="comment">// ExpansionInteriorBuildingModule Destructor</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <span class="keywordtype">void</span> ~ExpansionInteriorBuildingModule()</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../da/deb/a04249.html">EXTrace</a>.<a class="code hl_function" href="../../da/deb/a04249.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(ExpansionTracing.MAPPING, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <a class="code hl_class" href="../../dd/d8e/a03377.html">ExpansionSettings</a>.<a class="code hl_variable" href="../../dd/d8e/a03377.html#ad3ba495be8256aa690e0d611129c8889">SI_General</a>.Remove( OnSettingsUpdated );</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <span class="comment">// Expansion OnInit</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> OnInit()</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        super.OnInit();</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        EnableMissionStart();</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> OnMissionStart(Class sender, CF_EventArgs args)</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        super.OnMissionStart(sender, args);</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <a class="code hl_class" href="../../db/dfa/a04725.html">BuildingBase</a>.<a class="code hl_variable" href="../../db/dfa/a04725.html#a34e86eb6a61fbf274789853b666660e6">s_Expansion_LoadCustomObjectsDelay</a> = 1000;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        LoadCachedCollisions();</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    <span class="keywordtype">void</span> OnSettingsUpdated()</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../da/deb/a04249.html">EXTrace</a>.<a class="code hl_function" href="../../da/deb/a04249.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(ExpansionTracing.MAPPING, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">if</span> (!GetGame().IsDedicatedServer())</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            LoadIviesPositions();</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            GetGame().GetCallQueue(CALL_CATEGORY_SYSTEM).CallLater(SaveCachedCollisions, 20000, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    <span class="keyword">private</span> <span class="keywordtype">void</span> GetIviesPositions(out TVectorArray iviesPosition)</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../da/deb/a04249.html">EXTrace</a>.<a class="code hl_function" href="../../da/deb/a04249.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(ExpansionTracing.MAPPING, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span><span class="comment"></span> </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span><span class="comment">        //! Set default ivies depending on map name</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span><span class="comment"></span>        <span class="keywordflow">switch</span> (<a class="code hl_class" href="../../df/d88/a04241.html">ExpansionStatic</a>.<a class="code hl_function" href="../../df/d88/a04241.html#a8fd9b735b11fcdd675bcfbc9e4365b51">GetCanonicalWorldName</a>())</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;chernarusplus&quot;</span>:</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                GetChernarusPlusIviesPositions( iviesPosition );</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;enoch&quot;</span>:</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>                GetEnochIviesPositions( iviesPosition ); <span class="comment">//! TODO</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;deerisle&quot;</span>:</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>                GetDeerIsleIviesPositions( iviesPosition ); <span class="comment">//! TODO</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;namalsk&quot;</span>:</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>                GetNamalskIviesPositions( iviesPosition ); <span class="comment">//! TODO</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;chiemsee&quot;</span>:</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>                GetChiemseeIviesPositions( iviesPosition ); <span class="comment">//! TODO</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;rostow&quot;</span>:</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>                GetRostowIviesPositions( iviesPosition ); <span class="comment">//! TODO</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;esseker&quot;</span>:</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>                GetEssekerIviesPositions( iviesPosition ); <span class="comment">//! TODO</span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;valning&quot;</span>:</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>                GetValningIviesPositions( iviesPosition ); <span class="comment">//! TODO</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;banov&quot;</span>:</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>                GetBanovIviesPositions( iviesPosition ); <span class="comment">//! TODO</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;sandbox&quot;</span>:</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>                GetSandboxIviesPositions( iviesPosition );</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;expansiontest&quot;</span>:</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>                GetExpansionTestIviesPositions( iviesPosition ); <span class="comment">//! TODO</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span> </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    <span class="keywordtype">void</span> GetChernarusPlusIviesPositions(out TVectorArray iviesPosition)</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    {</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <span class="comment">//Svetloyark</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        iviesPosition.Insert(<span class="stringliteral">&quot;13804 27 13232&quot;</span>);</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        iviesPosition.Insert(<span class="stringliteral">&quot;13826 26 13348&quot;</span>);</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        iviesPosition.Insert(<span class="stringliteral">&quot;13781 25 13246&quot;</span>);</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        iviesPosition.Insert(<span class="stringliteral">&quot;13794 26 13268&quot;</span>);</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        iviesPosition.Insert(<span class="stringliteral">&quot;13765 23 13284&quot;</span>);</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        iviesPosition.Insert(<span class="stringliteral">&quot;13743 23 13267&quot;</span>);</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        iviesPosition.Insert(<span class="stringliteral">&quot;13705 24 13284&quot;</span>);</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        iviesPosition.Insert(<span class="stringliteral">&quot;13718 24 13319&quot;</span>);</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        iviesPosition.Insert(<span class="stringliteral">&quot;13739 25 13325&quot;</span>);</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        iviesPosition.Insert(<span class="stringliteral">&quot;13760 24 13352&quot;</span>);</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        iviesPosition.Insert(<span class="stringliteral">&quot;13782 23 13346&quot;</span>);</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        iviesPosition.Insert(<span class="stringliteral">&quot;13801 25 13370&quot;</span>);</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        iviesPosition.Insert(<span class="stringliteral">&quot;13805 26 13327&quot;</span>);</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        iviesPosition.Insert(<span class="stringliteral">&quot;13798 24 13212&quot;</span>);</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        iviesPosition.Insert(<span class="stringliteral">&quot;13822 25 13198&quot;</span>);</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        iviesPosition.Insert(<span class="stringliteral">&quot;13805 24 13176&quot;</span>);</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        iviesPosition.Insert(<span class="stringliteral">&quot;13821 24 13169&quot;</span>);</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        iviesPosition.Insert(<span class="stringliteral">&quot;13847 25 13141&quot;</span>);</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        iviesPosition.Insert(<span class="stringliteral">&quot;14153 6 13001&quot;</span>);</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        iviesPosition.Insert(<span class="stringliteral">&quot;14141 6 13025&quot;</span>);</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        iviesPosition.Insert(<span class="stringliteral">&quot;14166 5 13043&quot;</span>);</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        iviesPosition.Insert(<span class="stringliteral">&quot;14106 10 13059&quot;</span>);</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        iviesPosition.Insert(<span class="stringliteral">&quot;14075 11 13076&quot;</span>);</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        </div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <span class="comment">// Kamyshovo </span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        iviesPosition.Insert(<span class="stringliteral">&quot;12011.5 10 3591&quot;</span>);</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        iviesPosition.Insert(<span class="stringliteral">&quot;12087 10.7 3589&quot;</span>);</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        iviesPosition.Insert(<span class="stringliteral">&quot;12081 8.4 3619&quot;</span>);</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        iviesPosition.Insert(<span class="stringliteral">&quot;12074 8.3 3646&quot;</span>);</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        iviesPosition.Insert(<span class="stringliteral">&quot;12066 7.44 3670&quot;</span>);</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        iviesPosition.Insert(<span class="stringliteral">&quot;12059 8.3 3694&quot;</span>);</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        iviesPosition.Insert(<span class="stringliteral">&quot;12050 10 3715&quot;</span>);</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        iviesPosition.Insert(<span class="stringliteral">&quot;12040 10 3734&quot;</span>);</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        iviesPosition.Insert(<span class="stringliteral">&quot;12049 8.48 3646&quot;</span>);</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        iviesPosition.Insert(<span class="stringliteral">&quot;12435 9 3563&quot;</span>);</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        iviesPosition.Insert(<span class="stringliteral">&quot;12459 12 3555&quot;</span>);</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        iviesPosition.Insert(<span class="stringliteral">&quot;11931 8 3486&quot;</span>);</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        iviesPosition.Insert(<span class="stringliteral">&quot;11949 9 3489&quot;</span>);</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        iviesPosition.Insert(<span class="stringliteral">&quot;12357 9 3542&quot;</span>);</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        iviesPosition.Insert(<span class="stringliteral">&quot;12180 8 3552&quot;</span>);</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    }</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span> </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    <span class="keywordtype">void</span> GetEnochIviesPositions(out TVectorArray iviesPosition)</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    {</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span> </div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span> </div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    <span class="keywordtype">void</span> GetDeerIsleIviesPositions(out TVectorArray iviesPosition)</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    {</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span> </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    }</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span> </div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    <span class="keywordtype">void</span> GetNamalskIviesPositions(out TVectorArray iviesPosition)</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    {</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span> </div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    }</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span> </div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>    <span class="keywordtype">void</span> GetChiemseeIviesPositions(out TVectorArray iviesPosition)</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>    {</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span> </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    }</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span> </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>    <span class="keywordtype">void</span> GetRostowIviesPositions(out TVectorArray iviesPosition)</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>    {</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span> </div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>    }</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span> </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>    <span class="keywordtype">void</span> GetEssekerIviesPositions(out TVectorArray iviesPosition)</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    {</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span> </div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>    }</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span> </div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>    <span class="keywordtype">void</span> GetValningIviesPositions(out TVectorArray iviesPosition)</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    {</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span> </div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>    }</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span> </div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>    <span class="keywordtype">void</span> GetBanovIviesPositions(out TVectorArray iviesPosition)</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>    {</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span> </div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>    }</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span> </div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>    <span class="keywordtype">void</span> GetSandboxIviesPositions(out TVectorArray iviesPosition)</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>    {</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span> </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>    }</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span> </div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>    <span class="keywordtype">void</span> GetExpansionTestIviesPositions(out TVectorArray iviesPosition)</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>    {</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span> </div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>    }</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span> </div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    <span class="keyword">private</span> <span class="keywordtype">void</span> LoadIviesPositions()</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>    {</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../da/deb/a04249.html">EXTrace</a>.<a class="code hl_function" href="../../da/deb/a04249.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(ExpansionTracing.MAPPING, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span> </div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetGeneral() )</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span> </div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetGeneral().Mapping.BuildingIvys )</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span> </div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>        <span class="keywordflow">if</span> ( !m_WhereIviesObjectsSpawn ) {</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>            m_WhereIviesObjectsSpawn = <span class="keyword">new</span> array&lt; ref IviesPosition &gt;;</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>            </div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>            TVectorArray positions = <span class="keyword">new</span> TVectorArray;</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>            GetIviesPositions(positions);</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>            </div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>            <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; positions.Count(); ++i) {</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>                <a class="code hl_class" href="../../da/d97/a06681.html">IviesPosition</a> iviesPosition = <span class="keyword">new</span> <a class="code hl_class" href="../../da/d97/a06681.html">IviesPosition</a>;</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>                iviesPosition.<a class="code hl_variable" href="../../da/d97/a06681.html#a5305d47dc7ad6e36d9d19dd4bfe35983">position</a> = positions[i];</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>                iviesPosition.<a class="code hl_variable" href="../../da/d97/a06681.html#a81018a0586f9c5073061c1104a47a179">radius</a> = 5;</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>                </div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>                m_WhereIviesObjectsSpawn.Insert( iviesPosition );</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>            }</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>        }</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>    }</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>    </div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>    <span class="keywordtype">void</span> SaveCachedCollisions()</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>    {</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../da/deb/a04249.html">EXTrace</a>.<a class="code hl_function" href="../../da/deb/a04249.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(ExpansionTracing.MAPPING, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span> </div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>        <span class="keywordflow">if</span> (m_LastSavedCount == m_CachedCollision.Count())</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span> </div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>        FileSerializer file = <span class="keyword">new</span> FileSerializer;</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>            </div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>        <span class="keywordflow">if</span> (file.Open(<a class="code hl_variable" href="../../de/d5d/a08769.html#afa573ab43357440628b548f0364bc386">EXPANSION_TEMP_INTERIORS</a>, FileMode.WRITE ))</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>        {</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>            file.Write(m_CachedCollision);</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>            file.Close();</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>        }</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span> </div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>        m_LastSavedCount = m_CachedCollision.Count();</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>    }</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>    </div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>    <span class="keywordtype">void</span> LoadCachedCollisions()</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>    {</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../da/deb/a04249.html">EXTrace</a>.<a class="code hl_function" href="../../da/deb/a04249.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(ExpansionTracing.MAPPING, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span> </div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>        <span class="keywordflow">if</span> (FileExist(<a class="code hl_variable" href="../../de/d5d/a08769.html#afa573ab43357440628b548f0364bc386">EXPANSION_TEMP_INTERIORS</a>))</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>        {</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>            FileSerializer file = <span class="keyword">new</span> FileSerializer;</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>            </div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>            <span class="keywordflow">if</span> (file.Open(<a class="code hl_variable" href="../../de/d5d/a08769.html#afa573ab43357440628b548f0364bc386">EXPANSION_TEMP_INTERIORS</a>, FileMode.READ ))</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>            {</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>                file.Read(m_CachedCollision);</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>                file.Close();</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>            }</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>        }</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>    }</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>    </div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span>    <span class="keywordtype">bool</span> ShouldIvySpawn(vector <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>)</div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span>    {</div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../da/deb/a04249.html">EXTrace</a>.<a class="code hl_function" href="../../da/deb/a04249.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(ExpansionTracing.MAPPING, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span> </div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>        <span class="comment">// If Ivys are disabled in settings, this will be NULL</span></div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span>        <span class="keywordflow">if</span> ( m_WhereIviesObjectsSpawn )</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span>        {</div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span>            <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; m_WhereIviesObjectsSpawn.Count(); i++)</div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span>                <span class="keywordflow">if</span> (vector.Distance(m_WhereIviesObjectsSpawn[i].position, <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>) &lt;= m_WhereIviesObjectsSpawn[i].radius)</div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span>                    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span>        }</div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span>        </div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00307" name="l00307"></a><span class="lineno">  307</span>    }</div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno">  308</span>}</div>
<div class="ttc" id="aa02384_html_a764a35c2d73b3fff21cd85b6baf13df4"><div class="ttname"><a href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a></div><div class="ttdeci">vector position</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d11/a02384_source.html#l00020">expansioninteriorbuildingmodule.c:20</a></div></div>
<div class="ttc" id="aa02384_html_a96a6ecae2257bfa92d5d3aa2a94753ef"><div class="ttname"><a href="../../d2/d11/a02384.html#a96a6ecae2257bfa92d5d3aa2a94753ef">CF_RegisterModule</a></div><div class="ttdeci">class IviesPosition CF_RegisterModule(ExpansionInteriorBuildingModule)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d11/a02384_source.html#l00001">expansioninteriorbuildingmodule.c:19</a></div></div>
<div class="ttc" id="aa03377_html"><div class="ttname"><a href="../../dd/d8e/a03377.html">ExpansionSettings</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08415_source.html#l00013">expansionsettings.c:14</a></div></div>
<div class="ttc" id="aa03377_html_ad3ba495be8256aa690e0d611129c8889"><div class="ttname"><a href="../../dd/d8e/a03377.html#ad3ba495be8256aa690e0d611129c8889">ExpansionSettings::SI_General</a></div><div class="ttdeci">static ref ScriptInvoker SI_General</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d34/a08451_source.html#l00015">expansionsettings.c:15</a></div></div>
<div class="ttc" id="aa04241_html"><div class="ttname"><a href="../../df/d88/a04241.html">ExpansionStatic</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d72/a00803_source.html#l00074">expansionstatic.c:75</a></div></div>
<div class="ttc" id="aa04241_html_a8fd9b735b11fcdd675bcfbc9e4365b51"><div class="ttname"><a href="../../df/d88/a04241.html#a8fd9b735b11fcdd675bcfbc9e4365b51">ExpansionStatic::GetCanonicalWorldName</a></div><div class="ttdeci">static string GetCanonicalWorldName(CGame game=NULL)</div><div class="ttdoc">return lowercase game world name, with &quot;gloom&quot; suffix removed (if present)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d72/a00803_source.html#l01071">expansionstatic.c:1071</a></div></div>
<div class="ttc" id="aa04249_html"><div class="ttname"><a href="../../da/deb/a04249.html">EXTrace</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d7e/a00809_source.html#l00029">expansiontracing.c:30</a></div></div>
<div class="ttc" id="aa04249_html_ab7af4b282c08a043d2f9626231c59953"><div class="ttname"><a href="../../da/deb/a04249.html#ab7af4b282c08a043d2f9626231c59953">EXTrace::Start</a></div><div class="ttdeci">static EXTrace Start(bool yes=true, Class instance=null, string param0=&quot;&quot;, string param1=&quot;&quot;, string param2=&quot;&quot;, string param3=&quot;&quot;, string param4=&quot;&quot;, string param5=&quot;&quot;, string param6=&quot;&quot;, string param7=&quot;&quot;, string param8=&quot;&quot;, string param9=&quot;&quot;)</div><div class="ttdoc">Includes 1st line of stack.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d7e/a00809_source.html#l00323">expansiontracing.c:323</a></div></div>
<div class="ttc" id="aa04725_html"><div class="ttname"><a href="../../db/dfa/a04725.html">BuildingBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db9/a08907_source.html#l00013">buildingbase.c:14</a></div></div>
<div class="ttc" id="aa04725_html_a34e86eb6a61fbf274789853b666660e6"><div class="ttname"><a href="../../db/dfa/a04725.html#a34e86eb6a61fbf274789853b666660e6">BuildingBase::s_Expansion_LoadCustomObjectsDelay</a></div><div class="ttdeci">static int s_Expansion_LoadCustomObjectsDelay</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d28/a08910_source.html#l00019">buildingbase.c:19</a></div></div>
<div class="ttc" id="aa06681_html"><div class="ttname"><a href="../../da/d97/a06681.html">IviesPosition</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d11/a02384_source.html#l00013">expansioninteriorbuildingmodule.c:14</a></div></div>
<div class="ttc" id="aa06681_html_a5305d47dc7ad6e36d9d19dd4bfe35983"><div class="ttname"><a href="../../da/d97/a06681.html#a5305d47dc7ad6e36d9d19dd4bfe35983">IviesPosition::position</a></div><div class="ttdeci">vector position</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d11/a02384_source.html#l00015">expansioninteriorbuildingmodule.c:15</a></div></div>
<div class="ttc" id="aa06681_html_a81018a0586f9c5073061c1104a47a179"><div class="ttname"><a href="../../da/d97/a06681.html#a81018a0586f9c5073061c1104a47a179">IviesPosition::radius</a></div><div class="ttdeci">float radius</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d11/a02384_source.html#l00016">expansioninteriorbuildingmodule.c:16</a></div></div>
<div class="ttc" id="aa08424_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/a08424_source.html#l00254">expansionsettings.c:254</a></div></div>
<div class="ttc" id="aa08769_html_afa573ab43357440628b548f0364bc386"><div class="ttname"><a href="../../de/d5d/a08769.html#afa573ab43357440628b548f0364bc386">EXPANSION_TEMP_INTERIORS</a></div><div class="ttdeci">static const string EXPANSION_TEMP_INTERIORS</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08769_source.html#l00117">expansionconstants.c:117</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_5b6a53149ee7579c80529fd9998a2b4c.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_864c6f328578ae932bfe3d376685b434.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_be440f22580ce99ff5165b31aacfa13d.html">dayzexpansion</a></li><li class="navelem"><a class="el" href="../../dir_610f62f19343ccd97bce22d942ff22b3.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_f1945fb34dbf9c110560b81d2c79c3a2.html">systems</a></li><li class="navelem"><a class="el" href="../../dir_658008ee2b3766882b618d5437a80d9d.html">mapping</a></li><li class="navelem"><a class="el" href="../../d2/d11/a02384.html">expansioninteriorbuildingmodule.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
